import { defineComponent as A, getCurrentInstance as x, ref as M, toRefs as B, onMounted as N, onUnmounted as V, openBlock as e, createElementBlock as c, Fragment as d, renderList as _, unref as C, withModifiers as r, createElementVNode as t, toDisplayString as i, normalizeClass as D, createCommentVNode as k, createTextVNode as m, pushScopeId as U, popScopeId as b } from "vue";
import g from "./images/left.mjs";
import q from "./images/middle.mjs";
const p = (a) => (U("data-v-44f33925"), a = a(), b(), a), z = { class: "footer02" }, O = ["onClick"], P = { class: "header" }, R = { class: "checkBoxList" }, T = ["onClick"], G = /* @__PURE__ */ p(() => /* @__PURE__ */ t("img", {
  src: g,
  class: "icon"
}, null, -1)), H = {
  key: 1,
  class: "arrow"
}, J = /* @__PURE__ */ p(() => /* @__PURE__ */ t("img", {
  src: q,
  class: "middlePng"
}, null, -1)), K = ["onClick"], Q = { class: "header" }, W = { class: "checkBoxList" }, X = ["onClick"], Y = /* @__PURE__ */ p(() => /* @__PURE__ */ t("img", {
  src: g,
  class: "icon"
}, null, -1)), Z = {
  key: 1,
  class: "arrow"
}, j = A({ name: "EFooter02" }), te = /* @__PURE__ */ A({
  ...j,
  props: {
    chartConfig: {
      type: Object,
      required: !0
    }
  },
  setup(a) {
    var F;
    const I = a;
    let w = {
      dataset: {
        list: [
          {
            key: "\u65BD\u5DE5\u573A\u5730",
            children: [
              {
                key: "\u623F\u5EFA\u5DE5\u7A0B",
                checked: !1
              },
              {
                key: "\u5E02\u653F\u5DE5\u7A0B",
                checked: !1
              },
              {
                key: "\u96F6\u661F\u5DE5\u7A0B",
                checked: !1
              },
              {
                key: "\u5176\u4ED6\u5DE5\u7A0B",
                checked: !1
              }
            ]
          },
          {
            key: "\u6D88\u7EB3\u573A",
            children: [
              {
                key: "\u7EFC\u5408\u6D88\u7EB3\u573A",
                checked: !1
              },
              {
                key: "\u56FA\u5B9A\u6D88\u7EB3\u573A",
                checked: !1
              },
              {
                key: "\u4E34\u65F6\u6D88\u7EB3\u573A\uFF08\u5806\u5761\uFF09",
                checked: !1
              },
              {
                key: "\u4E34\u65F6\u6D88\u7EB3\u573A\uFF08\u56DE\u586B\uFF09",
                checked: !1
              },
              {
                key: "\u5176\u4ED6",
                checked: !1
              }
            ]
          },
          {
            key: "\u8F66\u8F86\u4F4D\u7F6E",
            children: []
          },
          {
            key: "\u9884\u8B66\u4F4D\u7F6E",
            children: []
          }
        ]
      }
    };
    const L = x(), n = M(-1), y = (h, l) => {
      if (n.value == l) {
        n.value = -1;
        return;
      }
      h.children && (n.value = l);
    }, f = (h) => {
      h.checked = !h.checked, L.ctx.$forceUpdate();
    }, { dataset: S } = B(((F = I.chartConfig) == null ? void 0 : F.option) || w), { list: E } = B(S.value);
    return N(() => {
      document.addEventListener("click", () => {
        n.value = -1;
      });
    }), V(() => {
      document.removeEventListener("click", () => {
        n.value = -1;
      });
    }), (h, l) => (e(), c("div", z, [
      (e(!0), c(d, null, _(C(E), (o, s) => (e(), c(d, { key: s }, [
        s < 2 ? (e(), c("div", {
          key: 0,
          class: "leftBox",
          onClick: r((u) => y(o, s), ["stop"])
        }, [
          n.value == s ? (e(), c("div", {
            key: 0,
            class: "modelBox",
            onClick: l[0] || (l[0] = r(() => {
            }, ["stop"]))
          }, [
            t("div", P, i(o.key), 1),
            t("div", R, [
              (e(!0), c(d, null, _(o.children, (u, v) => (e(), c("div", {
                key: v,
                onClick: r(($) => f(u), ["stop"])
              }, [
                t("div", {
                  class: D(["check", {
                    checked: u.checked
                  }])
                }, null, 2),
                G,
                t("div", null, i(u.key), 1)
              ], 8, T))), 128))
            ])
          ])) : k("", !0),
          m(" " + i(o.key) + " ", 1),
          o.children ? (e(), c("div", H)) : k("", !0)
        ], 8, O)) : k("", !0)
      ], 64))), 128)),
      J,
      (e(!0), c(d, null, _(C(E), (o, s) => (e(), c(d, { key: s }, [
        s >= 2 ? (e(), c("div", {
          key: 0,
          class: "rightBox",
          onClick: r((u) => y(o, s), ["stop"])
        }, [
          n.value == s ? (e(), c("div", {
            key: 0,
            class: "modelBox",
            onClick: l[1] || (l[1] = r(() => {
            }, ["stop"]))
          }, [
            t("div", Q, i(o.key), 1),
            t("div", W, [
              (e(!0), c(d, null, _(o.children, (u, v) => (e(), c("div", {
                key: v,
                onClick: r(($) => f(u), ["stop"])
              }, [
                t("div", {
                  class: D(["check", {
                    checked: u.checked
                  }])
                }, null, 2),
                Y,
                t("div", null, i(u.key), 1)
              ], 8, X))), 128))
            ])
          ])) : k("", !0),
          m(" " + i(o.key) + " ", 1),
          o.children ? (e(), c("div", Z)) : k("", !0)
        ], 8, K)) : k("", !0)
      ], 64))), 128))
    ]));
  }
});
export {
  te as default
};
